Subject: Re: perl-5.8.5-3 Pod::Simple::HTMLBatch coredump
From: "Gerrit P. Haase" <[email-masked]>
To: Reini Urban <[email-masked]>
Cc: cygwin <[email-masked]>, [email-masked]
Date: Fri, 12 Nov 2004 14:12:28 +0100

Reini Urban wrote:

>> perl -mPod::Simple::HTMLBatch -ePod::Simple::HTMLBatch::go \
>>   @INC /www/docs/perl/pod2html
>>
>> For me it always dumps core at the same place.
>> When writing pods/perltoc.html:

[...]

> And it is not an error on parsing the problematic file.
> perltoc.pod is by far the largest file with the most links.

It is 355440 bytes, which IMO is not that large.

> perl -mPod::Simple::HTML -ePod::Simple::HTML::go \
>      /usr/lib/perl5/5.8.5/pods/perltoc.pod > perltoc.html
> 
> works fine.
> And after renaming /usr/lib/perl5/5.8.5/pods/perltoc.pod to 
> /usr/lib/perl5/5.8.5/pods/perltoc.pod~
> it also works fine.

Since this file is skipped then, yes.

> So it's clearly a cygwin or perl specific memory issue.

Hmmm.  perl uses about 23 MB memory in total for me before it dies.
I think this is again the 2 MB stack issue, I have the stack for perl at
8 MB now, maybe t needs more.  Do you want to recompile yourself to test
this?  Get the cygwin perl source package for this and look into
perl-5.8.5/cygwin/perlld.in to change the default stack size there to
eg. 16 MB or 32 MB instead of 8 MB.  I'll try this now anyway, so wait a
minute...

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/